ttrmdir(user cmd)

NAME
ttrmdir — remove empty directories and inform the ToolTalk service

SYNOPSIS

ttrmdir [-L] [directory] [...]

ttrmdir [-h] [-v]

DESCRIPTION

The ttrmdir utility invokes rmdir(1) to remove empty directories and informs ToolTalk about its actions so that the ToolTalk objects associated with the deleted directories can also be deleted.

The ttrmdir utility removes the ToolTalk objects before it removes the directories and does not check whether a directory is empty or whether the directory-removing operation will succeed before performing the object-removing operation.

OPTIONS

The following options are available:

-h  Write a help message for invoking ttrmdir and then exit.

-L  Remove the ToolTalk objects of the directories, but do not invoke rmdir(1) to remove the actual directories.

-v  Write the version number of ttrmdir and then exit.

The -p option to cp(1) is not supported.

OPERANDS

The following operand is supported:

directory
    A pathname of an empty directory to be removed.

STDIN

Not used.

INPUT FILES

The input files specified as operands can be of any file type.

ENVIRONMENT VARIABLES

The following environment variables affect the execution of ttrmdir:

LANG
    Provide a default value for the internationalization variables that are unset or null. If LANG is unset or null, the corresponding value from the implementation-specific default locale will be used. If any of the internationalization variables contains an invalid setting, the utility behaves as if none of the variables had been defined.

LC_ALL
    If set to a non-empty string value, override the values of all the other internationalization variables.

LC_MESSAGES
    Determine the locale that is used to affect the format and contents of diagnostic messages written to standard error and informative messages written to standard output.

NLSPATH
    Determine the location of message catalogues for the processing of LC_MESSAGES.

RESOURCES

None.

ASYNCHRONOUS EVENTS

The ttrmdir utility takes the standard action for all signals.

STDOUT

When the -h option is used, ttrmdir writes to standard output a help message in an unspecified format.

When the -v option is used, ttrmdir writes to standard output a version number in an unspecified format.

STDERR

Used only for diagnostic messages.

OUTPUT FILES

None.

EXTENDED DESCRIPTION

None.

EXIT STATUS

The following exit values are returned:

0   All directories and ToolTalk objects were removed successfully.

>0  An error occurred or the invoked rmdir(1) command exited with a non-zero value.

CONSEQUENCES OF ERRORS

Default.

FILES

/mountpoint/TT_DB
    The directory used as a database for the ToolTalk objects of files in the file system mounted at /mountpoint.

APPLICATION USAGE

The definition of an empty directory is one that contains, at most, directory entries for dot and dot-dot.

EXAMPLES

None.

SEE ALSO

rmdir(1), ttrm(1), ttsession(1).